Subject: Re: [PATCH v5 0/5] Introduce libgit-rs, a Rust wrapper around libgit.a

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Dec 2024 14:36:29 +0900

Josh Steadmon <[email-masked]> writes:

> A quick note: normally I'd wait longer for more feedback before sending
> out a new reroll, but due to some firefighting at $DAYJOB, I will not
> have time to focus on this series for the next several weeks, possibly
> up to a month. I wanted to get V5 out before then, but please understand
> that I will not be able to address new feedback for a while.
>
> This series provides two small Rust wrapper libraries around parts of
> Git: "libgit-sys", which exposes a few functions from libgit.a, and
> "libgit", which provides a more Rust-friendly interface to some of those
> functions. In addition to included unit tests, at $DAYJOB we have tested
> building JJ[1] with our library and used it to replace some of the
> libgit2-rs uses.
>
> [1] https://github.com/martinvonz/jj
>
> Please find V1 cover letter here:
> https://lore.kernel.org/git/[email-masked]/

Haven't seen any traffic on this one since it was posted.

It happened during my absense, but that is just one potential
reviewer, and it is unnerving that nobody showed any interested in
the topic, unlike any of the previous iterations with active
discussion subthreads.

Anybody interested in reviewing and championing the topic, or should
we wait until the topic gets refined and resubmit?

Thanks.